declare module "*.vue" {
  import Vue from "vue";
  export default Vue;
}
declare module "element-ui/lib/locale/lang/*" {
  export const elementLocale: any;
}
declare module "BMap" {
  const x: any;
  export default x;
}
declare var BMAP_NORMAL_MAP: any;
declare var BMAP_HYBRID_MAP: any;
interface IAny {
  [index: string]: any;
}
interface IError {
  // msg: string; 因为做中英文切换 所以msg根据code从语言包中查询
  code: number;
}
interface IBaseResult<T = any> extends IError {
  data: T;
}
interface IRequest {
  <T = any>(url: string, data?: any): Promise<IResult<T>>;
}

interface IResult<T> extends Array<IError | null | T> {
  0: IError | null;
  1: T;
  length: 2;
}

interface IUser {
  id: Number;
  loginAccount: string;
  phone: string;
}
interface ILogin {
  loginAccount: string;
  loginPassword: string;
  validateCode: string;
  autoLogin?: boolean;
}

interface IMenu {
  id: number;
  pId: number;
  title: string;
  remake: string;
}
interface IDict {
  key: string;
  value: string;
}
